public static interface KuduEndpointBuilderFactory.KuduBuilders
| Modifier and Type | Method and Description |
|---|---|
default KuduEndpointBuilderFactory.KuduEndpointBuilder |
kudu(String path)
Kudu (camel-kudu)
Interact with Apache Kudu, a free and open source column-oriented
data store of the Apache Hadoop ecosystem.
|
default KuduEndpointBuilderFactory.KuduEndpointBuilder |
kudu(String componentName,
String path)
Kudu (camel-kudu)
Interact with Apache Kudu, a free and open source column-oriented
data store of the Apache Hadoop ecosystem.
|
default KuduEndpointBuilderFactory.KuduEndpointBuilder kudu(String path)
kudu:host:port/tableName
Path parameter: host
Host of the server to connect to
Path parameter: port
Port of the server to connect to
Path parameter: tableName
Table to connect topath - host:port/tableNamedefault KuduEndpointBuilderFactory.KuduEndpointBuilder kudu(String componentName, String path)
kudu:host:port/tableName
Path parameter: host
Host of the server to connect to
Path parameter: port
Port of the server to connect to
Path parameter: tableName
Table to connect tocomponentName - to use a custom component name for the endpoint
instead of the default namepath - host:port/tableNameApache Camel